MessageIdentity (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.MessageIdentity class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service
Class MessageIdentity

    java.lang.Object
      org.codehaus.activemq.service.MessageIdentity

All Implemented Interfaces:
  Comparable, Serializable

public class MessageIdentity
extends Object
implements Comparable, Serializable

Represents a message identity, either by using a unique message number, which is ordered and must not be zero or by specifying the String messageID.

Typically a client accessing the MessageStore may have one or the other. Depending on which one is specified the other value may be filled in by operations on the MessageStore

Version:
  $Revision: 1.10 $
See Also:
  Serialized Form

Constructor Summary
`MessageIdentity()`
`MessageIdentity(String messageID)`
`MessageIdentity(String messageID, Object sequenceNumber)`

Method Summary
`int` | `compareTo(Object object)`
`boolean` | `equals(MessageIdentity that)`
`boolean` | `equals(Object that)`
`String` | `getMessageID()`
`Object` | `getSequenceNumber()`
`int` | `hashCode()`
`void` | `setMessageID(String messageID)`
`void` | `setSequenceNumber(Object sequenceNumber)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageIdentity

    public MessageIdentity()

### MessageIdentity

    public MessageIdentity(String messageID)

### MessageIdentity

    public MessageIdentity(String messageID,
                           Object sequenceNumber)

Method Detail

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object that)

### equals

    public boolean equals(MessageIdentity that)

### compareTo

    public int compareTo(Object object)

  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

### getMessageID

    public String getMessageID()

### setMessageID

    public void setMessageID(String messageID)

### getSequenceNumber

    public Object getSequenceNumber()

  Returns:
    the sequence number which may be a number or some database specific type

### setSequenceNumber

    public void setSequenceNumber(Object sequenceNumber)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.